condenser_api.get_market_history
Purpose
Restituisce la cronologia di mercato (market history) per il mercato interno SBD:STEEM. Parametri: bucket_seconds:int; start:timestamp; end:timestamp
bucket_seconds (int) | start (timestamp) | end (timestamp) | |
|---|---|---|---|
15 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Interroga la cronologia di mercato tra il 1° gennaio 2018 e il 2 gennaio 2018, segmentata per 15 secondi. |
60 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Interroga la cronologia di mercato tra il 1° gennaio 2018 e il 2 gennaio 2018, segmentata per un minuto. |
300 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Interroga la cronologia di mercato tra il 1° gennaio 2018 e il 2 gennaio 2018, segmentata per cinque minuti. |
3600 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Interroga la cronologia di mercato tra il 1° gennaio 2018 e il 2 gennaio 2018, segmentata per un’ora. |
86400 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Interroga la cronologia di mercato tra il 1° gennaio 2018 e il 2 gennaio 2018, segmentata per un giorno. |
Vedere anche: market_history_api.get_market_history
Parameters
PARAMETERS
json
[
0,
"1970-01-01T00:00:00",
"1970-01-01T00:00:00"
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
15,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
60,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Example 3
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
300,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Example 4
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
3600,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Example 5
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
86400,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Response
RESPONSE
json
[
{
"id": 0,
"open": "1970-01-01T00:00:00",
"seconds": 0,
"steem": {
"high": 0,
"low": 0,
"open": 0,
"close": 0,
"volume": 0
},
"non_steem": {
"high": 0,
"low": 0,
"open": 0,
"close": 0,
"volume": 0
}
}
]